What are the challenges you face when working across database platforms? Take the survey
Options

Upgrade from 5.4.0.55 to 6.2.0.143 failes

MasterCephusMasterCephus Posts: 35
edited October 21, 2009 10:06AM in SQL Backup Previous Versions
So I upgraged the GUI to version 6.2 and then I click on the little icon on my server to upgrade my server (the GUI and the server are not on the same machine).

It then warns me about the 14 day trial (I have a license), and then tells me in the next window that "The current version of the server components is not the same as the version of the graphical user interface."

Current component version: 5.4.0.55
Version to install: 6.2.0.134

So the only thing I can click is finish and when I do, I get to the activity window...where it seems to be attempting to install the server component installation.

Here are the details:
sqlprod1.aladata.com: Server Component Installation - Failed
============================================================

Copy SQBServerSetup.exe to server - Successful
----------------------------------------------

This operation completed successfully.


Run setup on server - Successful
--------------------------------

This operation completed successfully.


Start SQL Backup Agent service - Successful
-------------------------------------------

This operation completed successfully.


Check installed versions - Failed
---------------------------------

The SQL Backup extended stored procedure DLL version is 5.4.0.55, and 6.2.0.134 was expected.


Check SQLBackup extended stored procedures - Successful
-------------------------------------------------------

This operation completed successfully.


Delete setup file from server - Successful
------------------------------------------

This operation completed successfully.


Updating SQL Server information - Successful
--------------------------------------------

This operation completed successfully.

What am I doing wrong? This is a production server and I need it run my normal backups. Please answer this ASAP.

Comments

  • Options
    can I just copy the sqbserversetup.exe from the program files directory over the SQL server box and run it?

    Is there anything special that I need to do to make this successful if I do this manually? Do I need uninstall the existing version first or will the installer do that for me?
  • Options
    peteypetey Posts: 2,358 New member
    Using this article as reference, is the SQL Backup service executable (SQBCoreService.exe) already upgraded to version 6? In that case, it's probably the case where only the extended stored procedure has not been upgraded.

    If that is the case, see the recommended steps in the above article to address this issue, and also possible workarounds.

    Thanks.
    Peter Yeoh
    SQL Backup Consultant Developer
    Associate, Yohz Software
    Beyond compression - SQL Backup goodies under the hood, updated for version 8
  • Options
    so I looked at my SQL server machine and both the SQBCoreService is version 5.4.0.55 and xp_sqlbackup.dll is of the same version.

    I am thinking that there is some issue with me using the RedGate GUI on one machine and trying to upgrade another machine....not sure why, but I am betting that is the reason.

    Can I just run the sqbserversetup.exe manually on the SQL Server? If I run the installer, will it take care of the previous version or do I need to remove it first?

    BTW, here are my details:

    Host GUI: Windows Server 2003 R2
    SQL server: Windows Server 2008
    SQL Server: SQL Server 2008
  • Options
    peteypetey Posts: 2,358 New member
    Running the installer over an existing installation will upgrade the service and everything else just fine. The only difference with uninstalling and reinstalling is that the default folder for SQL Backup is simply 'SQL Backup' in version 5 and below, and is 'SQL Backup 6' for version 6.

    Thanks.
    Peter Yeoh
    SQL Backup Consultant Developer
    Associate, Yohz Software
    Beyond compression - SQL Backup goodies under the hood, updated for version 8
  • Options
    installing it manually worked like a charm!
Sign In or Register to comment.